Get a list of Invoices

GA
Retrieve a list of Invoices based on specified filters.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

po_idstringOptional
Id of the PO linked to the invoice.
memostringOptional
Invoice header memo.
created_atdatetimeOptional
statusstringOptional
Status of the invoice or invoice line.
invoice_date_createddatetimeOptional
This is the date and time when the invoice is created in the source system.
per_pageintegerOptional
pageintegerOptional

Response

This endpoint returns a list of objects.
source_system_idstring
Unique identifier of the invoice in the ERP system. This value will be used to match source data and perform upserts.
vendor_idstring

Id of the Vendor/Supplier. This value should match the source_vendors->g_source_system_id which will be used to send back as part of JE to ERP.

invoice_typestring
Type of invoice.
invoice_numberstring
Invoice number.
invoice_line_idstring
Id of the invoice line.
po_idstring
Id of the PO linked to the invoice.
memostring
Invoice header memo.
created_atdatetime
created_bystring
updated_atdatetime
last_modified_bystring
invoice_datedate

Date the invoice was issued by the vendor. Format: yyyy-mm-dd.

periodstring

Period representation of the invoice.
Format: yyyy-mm-01 (e.g., 2026-03-01).’

subsidiary_debit_idstring

Subsidiary id linked to the invoice. This value should match the g_source_system_id in source_coas.

itemstring
item_idstring
glaccount_debit_idstring

GLAccount debit id linked to the invoice. This value should match the g_source_system_id in source_coas.

glaccount_credit_idstring

GLAccount credit id linked to the invoice. This value should match the g_source_system_id in source_coas.

department_debit_idstring

Department/Cost Center debit id linked to the invoice. This value should match the g_source_system_id in source_coas.

department_credit_idstring

Department/Cost Center credit id linked to the invoice. This value should match the g_source_system_id in source_coas.

product_debit_idstring

Product debit id linked to the invoice. This value should match the g_source_system_id in source_coas.

product_credit_idstring

Product credit id linked to the invoice. This value should match the g_source_system_id in source_coas.

location_debit_idstring

Location debit id linked to the invoice. This value should match the g_source_system_id in source_coas.

location_credit_idstring

Location credit id linked to the invoice. This value should match the g_source_system_id in source_coas.

class_debit_idstring

Class debit id linked to the invoice. This value should match the g_source_system_id in source_coas.

class_credit_idstring

Class credit id linked to the invoice. This value should match the g_source_system_id in source_coas.

project_debit_idstring

Project debit id linked to the invoice. This value should match the g_source_system_id in source_coas.

project_credit_idstring

Project credit id linked to the invoice. This value should match the g_source_system_id in source_coas.

invoice_memostring
Description of the invoice or invoice line where applicable.
statusstring
Status of the invoice or invoice line.
currency_idstring

Transactional currency id of the invoice. This value should match the g_source_system_id in source_coas.

start_datedate
Start date of the invoice or invoice line if applicable.
end_datedate
End date of the invoice or invoice line if applicable.
invoice_quantitydouble
Quantity based value of the invoice or invoice line if applicable.
invoice_amountdouble
Invoice or Invoice line amount.
exchange_ratedouble
channel_debit_idstring

Channel debit id linked to the invoice. This value should match the g_source_system_id in source_coas.

channel_credit_idstring

Channel credit id linked to the invoice. This value should match the g_source_system_id in source_coas.

region_debit_idstring

Region debit id linked to the invoice. This value should match the g_source_system_id in source_coas.

region_credit_idstring

Region credit id linked to the invoice. This value should match the g_source_system_id in source_coas.

company_debit_idstring

Company debit id linked to the invoice. This value should match the g_source_system_id in source_coas.

company_credit_idstring

Company credit id linked to the invoice. This value should match the g_source_system_id in source_coas.

intercompany_debit_idstring

Intercompay debit id linked to the invoice. This value should match the g_source_system_id in source_coas.

intercompany_credit_idstring

Intercompay credit id linked to the invoice. This value should match the g_source_system_id in source_coas.

po_numberstring
PO number linked to the invoice.
po_line_idstring
Line Id of the PO linked to the invoice.
invoice_date_createddatetime
This is the date and time when the invoice is created in the source system.
custom_text_1string

User-defined custom text field

custom_text_2string

User-defined custom text field

custom_text_3string

User-defined custom text field

custom_text_4string

User-defined custom text field

custom_text_5string

User-defined custom text field

custom_date_1date

User-defined custom date field

custom_date_2date

User-defined custom date field

custom_date_3date

User-defined custom date field

custom_date_4date

User-defined custom date field

custom_date_5date

User-defined custom date field

custom_numeric_1double

User-defined custom numeric field

custom_numeric_2double

User-defined custom numeric field

custom_numeric_3double

User-defined custom numeric field

custom_numeric_4double

User-defined custom numeric field

custom_numeric_5double

User-defined custom numeric field

invoice_idstring
This is the source system id of the invoice header

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error